package com.hotent.base.manager;

/**
 * 用户缓存 服务类
 *
 * @author 欧阳高龙
 * @company 广州宏天软件股份有限公司
 * @since 2022/8/22 11:22
 */
public interface UserCacheManager {
    /**
     * redis操作：根据用户账号删除用户详情
     * @param userAccount 用户账号
     */
    void delUserDetailsCache(String userAccount);

    /**
     * redis操作：根据用户账号删除用户名称
     * @param userAccount 用户账号
     */
    void delUsernamesCache(String userAccount);

    /**
     *  redis操作：根据自定义key删除缓存
     * @param customKey
     */
    void delCustomCache(String customKey);
}
